Name:           python-mitmproxy-wireguard
Version:        0.1.23
Release:        %mkrel 1
Summary:        WireGuard interface for mitmproxy
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/mitmproxy-wireguard/
Source0:        %{pypi_source mitmproxy_wireguard}
# $ cargo vendor --versioned-dirs
Source1:        mitmproxy-wireguard-%{version}-vendor.tar.xz
Patch1:		mitmproxy-wireguard-x25519-dalek.patch
BuildRequires:  python3-devel
BuildRequires:  cargo-rpm-macros
BuildRequires:  maturin
BuildRequires:  pkgconfig(openssl)

%description
Transparently proxy any device that can be configured as a WireGuard client.

%package -n     python3-mitmproxy-wireguard
Summary:        %{summary}
%{?python_provide:%python_provide python3-mitmproxy-wireguard}

%description -n python3-mitmproxy-wireguard
Transparently proxy any device that can be configured as a WireGuard client.

%prep
%autosetup -p1 -n mitmproxy_wireguard-%{version} -a1
%cargo_prep -v vendor

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%cargo_license_summary
%{cargo_license} > LICENSE.dependencies

%install
%pyproject_install
%pyproject_save_files mitmproxy_wireguard

%check
%cargo_test

%files -n python3-mitmproxy-wireguard -f %{pyproject_files}
%license LICENSE LICENSE.dependencies
%doc README.md


%changelog
* Sat Apr 05 2025 wally <wally> 0.1.23-1.mga10
+ Revision: 2173739
- add more provides
- update vendored rust crates
- fix build with vendored rust crates
+ katnatek <katnatek>
- Disable check step in cauldron
- imported package python-mitmproxy-wireguard

